; AUTOMATICALLY GENERATED -- DO NOT EDIT
;
[naming]
name = mod_jk
dist = .win6
version = 1.2.36
release = 9.win6
group = Internet/WWW/Servers
summary = Tomcat mod_jk connector for Apache
description =
	Tomcat mod_jk connector for Apache.
	By default, this package builds mod_jk for Apache 2.0.x. To build for
	Apache 1.3.x, use the "--with apache1" option for the rpm build
	command. To use a custom apxs, use "--define 'apxs /path/to/your/apxs'".
	Additionally, for Apache 2.0.x, if your "apxs -q LIBTOOL" doesn't return
	anything and the libtool that comes with Apache isn't located in
	/etc/httpd22/build/libtool, use "--define 'libtool /path/to/your/libtool'".
	To customize the apr-config executable used (not always needed), use
	"--define 'aprconf /path/to/your/apr-config'".
[building]
platform = w2k8-x64
preinstalled = unzip
provides = mod_jk
buildrequires =
	xbuild
	httpd
execute = xbuild_version=2.0.5
	pushd $xbuild_dir
	unzip -d dist xbuild-$xbuild_version.zip
	popd
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=i686 make
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=x86_64 make

[files]
output = $name-$version-$release.src.zip:all:src
	 $name-$version-$release.i686.zip:i686:fre
	 $name-$version-$release.x86_64.zip:x86_64:fre
logs =

;[changelog]
;* Wed Sep  5 2012 Mladen Turk <mturk@redhat.com> - 0:1.2.36-9 =
;	- Fix JBPAPP-9703
;* Mon May 28 2012 Mladen Turk <mturk@redhat.com> - 0:1.2.36-8 =
;	- Fix JBPAPP-9164
;* Mon May 21 2012 Mladen Turk <mturk@redhat.com> - 0:1.2.36-7 =
;	- Fix JBPAPP-9052
;* Mon May 21 2012 Mladen Turk <mturk@redhat.com> - 0:1.2.36-6 =
;	- Fix JBPAPP-9052
;* Tue May 16 2012 Mladen Turk <mturk@redhat.com> - 0:1.2.36-5 =
;	- Fix JBPAPP-9024
;* Tue May 15 2012 Mladen Turk <mturk@redhat.com> - 0:1.2.36-2 =
;	- Try to fix JBPAPP-9024
;* Mon May 14 2012 Mladen Turk <mturk@redhat.com> - 0:1.2.36-1 =
;	- Upgrade to 1.2.36
;	- Remove patch for JBPAPP-8919 as it's incorporated into 1.2.36
;* Sat May  5 2012 Mladen Turk <mturk@redhat.com> 0:1.2.35-3 =
;	- Fix JBPAPP-8919 by syncing with future 1.2.36.
;* Tue Mar 27 2012 Mladen Turk <mturk@redhat.com> 0:1.2.35-2 =
;	- Fix solaris build for mod_jk-1.2.35
;* Wed Mar 26 2012 Mladen Turk <mturk@redhat.com> 0:1.2.35-1 =
;	- Upgrade to mod_jk-1.2.35
;* Wed Feb 29 2012 Vaclav Tunka <vtunka@redhat.com> 0:1.2.32-1 =
;	- Upgrade to mod_jk-1.2.32
;* Wed Feb  1 2012 Mladen Turk <mturk@redhat.com> 0:1.2.31-8 =
;	- Rebuild using git repository.
;* Sat Dec 10 2011 Mladen Turk <mturk@redhat.com> - 0:1.2.31-7 =
;	- Add missing httpd configuration samples
;* Sat Dec 10 2011 Mladen Turk <mturk@redhat.com> - 0:1.2.31-6 =
;	- Fix isapi_redirect build on Win32
;* Thu Dec  8 2011 Vaclav Tunka <vtunka@redhat.com> - 0:1.2.31-5 =
;	- Build for EAP 6 / EWS 2
;* Wed Oct 26 2011 Vaclav Tunka <vtunka@redhat.com> - 0:1.2.31-4 =
;	- Rebuild
;* Fri Oct 21 2011 Vaclav Tunka <vtunka@redhat.com> - 0:1.2.31-3 =
;	- Makefile include for general xbuild Makefile
;	- Moving to generated .ini file
;* Wed Oct 12 2011 Mladen Turk <mturk@redhat.com> - 0:1.2.31-2 =
;	- Add winspec files
;* Thu Nov 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.2.31-1 =
;	- Update to 1.2.31
;* Thu May 20 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.2.30-2 =
;	- Add repolib for sources
;* Tue May 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.2.30-1 =
;	- Update to 1.2.30
;* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2.28-5.1 =
;	- rebuilt
;* Tue Apr 06 2010 Hui Wang <huwang@redhat.com> - 0:1.2.28-5 =
;	- Rebuild
;* Mon Jan 11 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.2.28-4 =
;	- Update sample files (from mmillson@redhat.com)
;* Wed Jul 22 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.2.28-3 =
;	- Fix src-zip
;* Wed Jul 22 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.2.28-2 =
;	- Add src-zip
;* Wed Jul 22 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.2.28-1 =
;	- Update to 1.2.28
;	- Update sample configuration in docdir (Mike Millson, #490792)
;* Mon Apr 27 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.2.27-5 =
;	- Obsoletes mod_jk-tools
;	- Do not build mod_jk-tools
;* Thu Mar 24 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.2.27-4 =
;	- BR httpd22 instead of httpd
;* Thu Mar 12 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.2.27-3 =
;	- Add patch for fixing broken links in docs
;* Fri Jan 16 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.2.27-2 =
;	- Add patch for bz46352 (From Mladen Turk)
;* Wed Dec 03 2008 Permaine Cheung <pcheung@redhat.com> - 0:1.2.27-1 =
;	- Update to 1.2.27
;* Tue Mar 25 2008 Deepak Bhole <dbhole@redhat.com> - 0:1.2.26-1 =
;	- Update to 1.2.26
;* Thu Jun 07 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.23-3 =
;	- Own /var/run/mod_jk for shared memory segments etc. to be placed and
;	- Resolves: bug 225452
;* Mon Jun 04 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.23-2.el5s2 =
;	- Fix mod_jk.conf
;	- Resolves: bug 229164
;* Tue May 29 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.23-1.el5s2 =
;	- Update to 1.2.23-1jpp
;	- Re-add some patches (pointer cast)
;	- Rename/merge -libtool-tag.patch
;	- Re-add jboss specific samples
;* Thu May 03 2007 Deepak Bhole <dbhole@redhat.com> - 0:1.2.22-1.el5s2 =
;	- Update to 1.2.22
;	- Update patch names, and make the patch names use %version in spec file
;	- Avoid use of ForwardURICompat in mod_jk.conf jboss sample, replaced with
;	- Use java-1.5.0-bea-devel to build
;* Fri Apr 20 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.21-1.el5s2 =
;	- Use new naming convention
;	- First rebuild for Stacks V2
;	- Add additional mod_jk.conf.jboss.sample and workers.properties.jboss.sample
;	- Regenerate jni patch since the previous one no longer applied
;	- Rename the patches to signify switch to 1.2.21
;* Mon Mar 05 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.2.21-1.el4s1.1 =
;	- Upgrade
;* Mon Mar 05 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.2.21-1jpp =
;	- Upgrade to 1.2.21
;* Mon Feb 26 2007 Vivek Lakshmanan <vivekl@redhat.com> 1.2.20-1.el4s1.2 =
;	- Add patch for jk_uri_worker_map from jclere
;	- Resolves: #230045
;* Fri Jan 05 2007 Deepak Bhole <dbhole@redhat.com> 1.2.20-1.el4s1.1 =
;	- Upgrade to 1.2.20
;* Fri Jan  5 2007 Ville Skyttä <scop at jpackage.org> - 0:1.2.20-1jpp =
;	- 1.2.20.
;* Wed Nov 29 2006 Deepak Bhole <dbhole@redhat.com> 1.2.19-1.el4s1.1 =
;	- Build into Stacks V1.1
;	- Disable JNI
;* Tue Sep 19 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.19-2jpp =
;	- Remove unsupported JNI workers.
;* Mon Sep 18 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.19-1jpp =
;	- Upgrade to version 1.2.19.
;	- Add versioned requirement on xalan-j2 (for xalan-j2-serializer).
;* Fri Sep 15 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.18-2jpp_7rh =
;	- Rebuild.
;* Mon Sep 11 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.18-2jpp_6rh =
;	- Rebuild.
;* Mon Sep 11 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.18-2jpp_5rh =
;	- Re-enable all patches for x86-64.
;* Fri Aug 25 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.18-2jpp_4rh =
;	- Re-add x86_64
;* Fri Aug 25 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.18-2jpp_3rh =
;	- Re-add other arches but for x86_64
;* Fri Aug 25 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.18-2jpp_2rh =
;	- Rebuild excluding ppc ia64 x86_64
;* Thu Aug 24 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.18-2jpp_1rh =
;	- Merge with upstream for upgrade
;* Thu Aug 24 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.18-2jpp =
;	- Add header
;* Tue Aug 22 2006 Ville Skyttä <scop at jpackage.org> - 0:1.2.18-1jpp =
;	- 1.2.18.
;* Thu Dec 22 2005 Ville Skyttä <scop at jpackage.org> - 0:1.2.15-1jpp =
;	- 1.2.15.
;* Mon Oct 24 2005 Jason Corley <jason.corley@gmail.com> - 0:1.2.14.1-2jpp =
;	- Add xalan-j2 BuildRequires
;* Thu Oct 13 2005 Ville Skyttä <scop at jpackage.org> - 0:1.2.14.1-1jpp =
;	- 1.2.14.1.
;* Mon Jun 27 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.2.6-3jpp_7rh =
;	- Add fix for pointer cast warnings.
;* Mon Jun 27 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.2.6-3jpp_6rh =
;	- Remove jni_md.h check from configure.
;* Wed Jun 22 2005 Fernando nasser <fnasser@redhat.com> - 0:1.2.6-3jpp_5rh =
;	- Rebuild
;* Mon Apr 18 2005 Jason Corley <jason.corley@gmail.com> - 0:1.2.10-1jpp =
;	- 1.2.10
;* Tue Feb 22 2005 Ville Skyttä <scop at jpackage.org> - 0:1.2.8-2jpp =
;	- Revert *.pl interpreters to %{__perl}.
;* Fri Feb 18 2005 Ville Skyttä <scop at jpackage.org> - 0:1.2.8-1jpp =
;	- 1.2.8.
;	- Build for Apache 2.x by default, "--with apache1" for Apache 1.3.x.
;* Wed Feb 16 2005 Fernando nasser <fnasser@redhat.com> - 0:1.2.6-3jpp_3rh =
;	- Add ppc64 and x86_64
;	- Rebuild
;* Wed Feb 16 2005 Fernando nasser <fnasser@redhat.com> - 0:1.2.6-3jpp_2rh =
;	- Rebuild
;* Wed Dec 08 2004 Fernando nasser <fnasser@redhat.com> - 0:1.2.6-3jpp_1rh =
;	- First Red Hat release
;	- Build by default for Apache 2.0.x
;	- Add --tag to remaining LIBTOOL invocations
;* Mon Oct 4 2004 Nicolas Mailhot <nim@jpackage.org> - 0:1.2.6-3jpp =
;	- do not apply RHES 2.1 libtool workaround to apache2 builds
;* Mon Oct 4 2004 Nicolas Mailhot <nim@jpackage.org> - 0:1.2.6-2jpp =
;	- Add RHES 2.1 libtool workaround
;* Wed Sep 29 2004 Nicolas Mailhot <nim@jpackage.org> - 0:1.2.6-1jpp =
;	- Update to 1.2.6 as per Henri's suggestion:
;	- Change default target from Tomcat 4 to Tomcat 5. Tomcat 5.5 is out and 
;	- initial built on RHES 3, RHES 2.1 and RH 7.3
;* Sat Nov 15 2003 Ville Skyttä <scop at jpackage.org> - 0:1.2.5-2jpp =
;	- Use apr-config if available for apache2 to allow building on FC1.
;	- Include README and CHANGES.txt in docs.
;* Mon Oct 13 2003 Ville Skyttä <scop at jpackage.org> - 0:1.2.5-1jpp =
;	- Update to 1.2.5 final.
;* Thu Jul 24 2003 Ville Skyttä <scop at jpackage.org> - 0:1.2.5-0.1jpp =
;	- Update to unofficial 1.2.5.
;* Fri Jun 27 2003 Ville Skyttä <scop at jpackage.org> - 0:1.2.4-1jpp =
;	- Use the libtool that comes with Apache 2 for building with it.
;	- Provide a fallback "--define 'libtool /path/to/your/libtool'".
;	- Thanks to Henri Gomez for the above fixes.
;* Thu Jun 26 2003 Ville Skyttä <scop at jpackage.org> - 0:1.2.4-0.2jpp =
;	- Add --with apache2 rpmbuild option.
;	- Add manual subpackage.
;* Wed Jun 25 2003 Ville Skyttä <scop at jpackage.org> - 0:1.2.4-0.1jpp =
;	- Made apxs customizable with
;* Wed Jun 25 2003 Ville Skyttä <scop at jpackage.org> - 0:1.2.4-0jpp =
;	- Update to 1.2.4, massive spec cleanup (only mod_jk for Apache 1.3 now).
;* Tue Dec 17 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.2-1jpp =
;	- jtc 1.2.2
;	- add Obsoletes tomcat-mod
;* Tue Nov 26 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.1-1jpp =
;	- jtc 1.2.1
;	- add package mod_jk-tools (require gd 1.8.x and perl modules GD 1.4.1, 
;* Tue Oct 08 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.1-1jpp =
;	- jtc snapshot from JK 2.0.1 beta release
;	- apr / apr-util / apr-devel packages required for JK2 build and Apache 1.3,
;	- apache2 / apache2-devel packages required Apache 2 build,
;* Fri Oct 04 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.0-2jpp =
;	- jtc 1.2.0 built against Apache 2.0.43
;* Wed Oct 02 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.0-1jpp =
;	- jtc snapshot from JK 2.0.0 beta release
;	- apr / apr-util / apr-devel packages required for JK2 build and Apache 1.3,
;	- apache2 / apache2-devel packages required Apache 2 build,
;* Wed Sep 25 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0.jk1.2.0-1jpp =
;	- jtc snapshot from JK 1.2.0 release
;* Fri Aug 22 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0.4.1.9-1jpp =
;	- jtc snapshot from tomcat 4.1.9 beta
;	- webapp not build since it requires autoconf > 2.5 not available in rpm distribs 
;* Thu Feb 14 2002 Henri Gomez <hgomez@users.sourceforge.net> =
;	- Initial tomcat-connectors release
;	- use the jakarta-tomcat-connectors-4.0.2-01-src 
